Subject: RE: [Geopriv] coming to terms on location by reference

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Wed, 13 Sep 2006 15:33:29 +0200

Essentially, in section 4 of RFC 3693, which defines the GEOPRIV
players, it is not clear how this covers location by reference. How does
the reference provider and the reference receiver fit into this figure,
and what rights and responsibilities do each of those players take.

Now I am not saying that it is necessarily difficult to reach some
conclusions on this, just that those are interpretations and extensions
of the RFC, not something agreed in the RFC itself.

Regards

Keith

> -----Original Message-----
> From: Hannes Tschofenig [mailto:[email-masked]] 
> Sent: 13 September 2006 14:27
> To: Drage, Keith (Keith)
> Cc: Andrew Newton; Dawson, Martin; [email-masked]
> Subject: Re: [Geopriv] coming to terms on location by reference
> 
> Hi Keith,
> 
> could you give us more information about your off-line 
> discussions between the editor's, the SIP and GEOPRIV WG chairs?
> What aspects do you think go beyond the the concepts in RFC 3693?
> 
> Ciao
> Hannes
> 
> Drage, Keith (Keith) schrieb:
> > When we were analysing the sip-location-coveyance draft between the 
> > editor's, the SIP and GEOPRIV WG chairs, it became clear that the 
> > sip-location conveyance draft went beyond the concepts in RFC 3693.
> > 
> > Therefore in many ways I would like GEOPRIV to discuss this 
> issue in a 
> > general way, independent of the protocol solution, possibly with a 
> > view to an update of RFC 3693.
> > 
> > Regards
> > 
> > Keith
> > 
> > 
> > ________________________________
> > 
> > 	From: Andrew Newton [mailto:[email-masked]] 
> > 	Sent: 13 September 2006 02:02
> > 	To: Dawson, Martin
> > 	Cc: [email-masked]
> > 	Subject: Re: [Geopriv] coming to terms on location by reference
> > 	
> > 	
> > 
> > 	On Sep 12, 2006, at 6:21 PM, Dawson, Martin wrote:
> > 
> > 
> > 		Thanks Andy. What is the relationship, then, 
> between the SIP 
> > conveyance
> > 
> > 		having started as a Geopriv milestone and the 
> current discussion? 
> > Does
> > 
> > 		the former anticipate the latter in any case? 
> That is, does it not
> > 
> > 		indicate acceptance of location by reference already?
> > 		
> > 
> > 
> > 	I would not consider location-by-reference for 
> conveyance a settled 
> > matter.
> > 
> > 
> > 		Or is the
> > 
> > 		discussion now focused directly on how the 
> reference is "discovered" 
> > by
> > 
> > 		the device and in particular whether it's a 
> function of the location
> > 
> > 		acquisition protocol?
> > 
> > 
> > 	If by acquisition and discovery you mean what we have 
> been calling a 
> > location configuration protocol, then the two are not necessarily 
> > directly coupled.  It is possible to have an LCP with 
> references that 
> > requires the UAC to dereference its location so that it may convey 
> > that location.
> > 
> > 	-andy
> > 
> > 
> > 
> > _______________________________________________
> > Geopriv mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/geopriv
> > 
> > 
> 
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv